Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class NamedValueSet

    java.lang.Object
      oracle.ifs.fdk.NamedValueSet

All Implemented Interfaces:
  java.io.Serializable

    public class NamedValueSet

extends java.lang.Object
implements java.io.Serializable

Represents a set of named values. The named values can be retrieved as an array for both remoted and in-process clients or as a map for in-process clients only.

This type is needed in order to avoid multi dimensional arrays.

See Also:
  Serialized Form

Constructor Summary
`NamedValueSet()` Required constructor in order to be a Java Bean.
`NamedValueSet(java.util.Map map)` Constructor.
`NamedValueSet(NamedValue[] namedValues)` Constructor.

Method Summary
`NamedValue[]` | `getNamedValues()` Returns the named values as an array.
`void` | `setNamedValues(NamedValue[] namedValues)` Sets the named values from an array.
`java.util.Map` | `toMap()` Returns the named values as an unmodifiable map `{String name, Object value}`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedValueSet

    public NamedValueSet()

  Required constructor in order to be a Java Bean.

### NamedValueSet

    public NamedValueSet(NamedValue[] namedValues)

  Constructor.

  (Unpublished)

### NamedValueSet

    public NamedValueSet(java.util.Map map)

  Constructor.

  (Unpublished)

Method Detail

### getNamedValues

    public NamedValue[] getNamedValues()

  Description copied from class: `NamedValueSet`
  Returns the named values as an array.

### setNamedValues

    public void setNamedValues(NamedValue[] namedValues)

  Description copied from class: `NamedValueSet`
  Sets the named values from an array.

### toMap

    public java.util.Map toMap()

  Description copied from class: `NamedValueSet`
  Returns the named values as an unmodifiable map `{String name, Object value}`

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD